
Release Note di Red Hat Linux 7.3

Copyright © 2002 Red Hat, Inc.
         _________________________________________________________

   Sommario
   [1]Note su Anaconda/programma di installazione
   [2]Note sul kernel
   [3]Note generali sulla distribuzione
   [4]Riorganizzazione dei pacchetti

Note su Anaconda/programma di installazione

Boot Loader

     * Di default, Anaconda ora aggiorna la configurazione del boot
       loader corrente senza crearne una nuova. Se si utilizza LILO e si
       desidera migrare a GRUB, sarà necessario selezionare una nuova
       configurazione del boot loader quando richiesto durante il
       processo di aggiornamento.
     _________________________________________________________________

Kickstart

     * Esiste una nuova direttiva chiamata %include che può essere usata
       con kickstart e consente di includere il contenuto di altri file
       come parte della configurazione di kickstart. Questi file si
       trovano nel ramdisk iniziale del programma di installazione
       (initrd) oppure possono essere generati dinamicamente nella
       sezione %pre della configurazione di kickstart.
       Per maggiori informazioni sulla configurazione di anaconda e
       kickstart, fare riferimento alla documentazione disponibile in
       /usr/share/doc/anaconda-7.3/.
     _________________________________________________________________

Miscellanea

     * La modalità di aggiornamento standalone (digitare linux upgrade al
       prompt di boot) non è più supportata.
     * Ora è supportata l'installazione da una directory NFS che contiene
       tutti i file ISO richiesti. Inoltre, se la directory dalla quale
       si esegue l'installazione contiene un file chiamato updates.img
       quest'ultimo verrà usato per gli aggiornamenti di Anaconda.
       Fare riferimento al file install-methods.txt nel pacchetto
       Anaconda RPM per informazioni dettagliate sui vari modi in cui è
       possibile installare Red Hat Linux, nonché su come eseguire gli
       aggiornamenti di Anaconda.
     * Le immagini ISO contengono ora un md5sum. Per verificare
       l'integrità della checksum di un'immagine ISO, digitare linux
       mediacheck al prompt di boot dell'installazione. Il programma di
       installazione richiederà di inserire un CD, quindi scegliere OK
       per eseguire l'operazione di checksum. Tale operazione può essere
       eseguita su qualsiasi CD Red Hat Linux e in qualsiasi ordine. Si
       raccomanda di eseguire questa operazione su qualsiasi CD Red Hat
       Linux creato dalle immagini ISO scaricate. Questa procedura
       funziona solo con le installazioni basate su CD.
     * Il file di log che riassume il processo di installazione si trova
       ora in /root as /root/install.log e non in /tmp/install.log. Anche
       i log di aggiornamento sono stati riposizionati in
       /root/upgrade.log.
     _________________________________________________________________

Note sul kernel

Red Hat Linux 7.3 include il kernel 2.4.18, nonché i seguenti
componenti aggiuntivi e le seguenti modifiche:

     * Utilità di pianificazione ottimizzata per una latenza inferiore e
       migliori prestazioni SMP
     * Supporto per 802.11Q (VLAN)
     * Supporto per S.M.A.R.T. (TM) e altre tecnologie di monitoraggio
       del disco fisso; in alcuni casi, le unità disco fisso che
       utilizzano tali tecnologie possono segnalare agli utenti eventuali
       errori in anticipo
     * Supporto LVM (Logical Volume Management)
     * Supporto USB 2.0
     * Supporto LBA48/ATA133 per unità > 137GB
     * Supporto per dischi a stato solido Cenatek Rocket Drive
     * I modelli meno recenti delle unità CD-ROM (pre-IDE) non sono più
       supportati.
     _________________________________________________________________

Note generali sulla distribuzione

     * Sono stati riscontrati problemi di aggiornamento dei sistemi Red
       Hat Linux 6.x, 7.0, 7.1, 7.2 e 7.3 che eseguono Ximian
       GNOME. Il problema è causato da una sovrapposizione di versioni
       fra gli RPM Red Hat Linux ufficiali e gli RPM Ximian. Occorre
       tenere presente che si tratta di una configurazione non supportata
       da Red Hat. Per risolvere il problema è possibile:
       1) Rimuovere Ximian GNOME dal sistema Red Hat Linux prima di
       eseguire l'aggiornamento di Red Hat Linux.
       2) Aggiornare Red Hat Linux, quindi reinstallare subito Ximian
       GNOME.
       3) Aggiornare Red Hat Linux, quindi rimuovere subito tutti gli RPM
       Ximian rimanenti e sostituirli con gli RPM Red Hat Linux
       corrispondenti.
       Per risolvere la sovrapposizione di versioni è necessario adottare
       uno dei metodi sopra riportati, altrimenti si otterrà una
       configurazione di GNOME instabile.
     * KDE è stato aggiornato alla versione 3.0.0 e offre una migliore
       usabilità nonché nuove applicazioni e funzionalità.
       Può sembrare che i font anti-aliased non funzionino dopo
       l'aggiornamento a KDE 3.0.0. Questo è legato a una nuova
       funzionalità: con l'aggiornamento a Qt 3.0, è ora possibile
       utilizzare font anti-aliased e non-antialiased contemporaneamente
       nelle applicazioni Qt. Dato che i font di default per l'ambiente
       desktop KDE sono i font bitmap, quindi non anti-aliased,
       selezionando il pulsante enable anti-aliased fonts in KDE,
       l'aspetto delle applicazioni rimane invariato. Per ottenere font
       anti-aliased in menu, titoli di finestre, ecc., modificare i font
       per questi elementi (per esempio, sostituendo Helvetica con Helmet
       e Courier con Lucidatypewriter).
     * Red Hat Linux ora include una porta del sistema di alternative
       Debian per supportare i pacchetti multipli che offrono un servizio
       particolare. Ogni file binario condiviso dai pacchetti multipli è
       sostituito da un link simbolico in /etc, che quindi viene
       convertito nella versione di quel file per l'alternativa in
       questione. Per esempio:
       /usr/sbin/sendmail -> /etc/alternatives/mta ->
       /usr/sbin/sendmail.sendmail
       Questi link simbolici sono aggiunti e gestiti da
       /usr/sbin/alternatives. Per maggiori dettagli vedere man 8
       alternatives.
       Attualmente, Red Hat Linux offre due Mail Transport Agent (MTA)
       alternativi: Sendmail e Postfix. Le alternative per il demone di
       stampa sono LPRng e CUPS.
       Da notare che le configurazioni di LPRng e CUPS sono completamente
       separate. Se si cambia sistema di stampa, sarà necessario
       riconfigurare le stampanti. Similmente, Postfix e Sendmail hanno
       file di configurazione separati.
     * XFree86 è stato aggiornato alla versione 4.2.0. Questa versione
       include un supporto più aggiornato per i seguenti chipset grafici:
       ATI Radeon 7500 (2D/3D), Radeon 8500 (2D)
       ATI Radeon Mobility M6/M7 (2D/3D)
       Intel i830 (2D/3D)
       Matrox G550
       nVidia nForce
       3DLabs Permedia 4
       Chipset S3 (non-Savage, non-ViRGE) precedenti
       NOTA: Il chipset nVidia GeForce 4 non è supportato dal driver "nv"
       in XFree86 4.2.0. Il driver "vesa" XFree86, che utilizza il VESA
       BIOS della scheda video per inizializzare le modalità video, può
       fungere da soluzione temporanea in attesa che venga ufficialmente
       supportato nella prossima release.
     * Mozilla è stato aggiornato alla versione 0.9.9. Questa release
       include il supporto MathML, il profiling javascript, il supporto
       S/MIME per posta e news, il browsing a schede multiple, il
       supporto LDAP nella rubrica e un gran numero di soluzioni dei bug.
     * E' stato aggiunto il mailer/calendario/gestore dei contatti
       Evolution. Evolution include il supporto POP, IMAP e di posta
       locale, il supporto di iCalendar per le funzionalità di calendario
       e pianificazione, nonché di gestione integrata dei contatti e di
       tasklist online.
     * E' stato aggiunto anche MrProject, un strumento per la gestione
       dei progetti. MrProject consente la pianificazione e il controllo
       dei progetti e include dipendenze, allocazioni di risorse e
       grafici Gantt.
     * Inoltre è stata aggiunta anche l'applicazione per la
       videoconferenza GnomeMeeting. GnomeMeeting è uno strumento per la
       videoconferenza conforme a H.323, che supporta il tunneling H.245
       e la modalità di solo audio.
     * Red Hat Linux ora supporta sia il cinese tradizionale sia quello
       semplificato, oltre alle seguenti lingue: inglese americano,
       francese, tedesco, italiano, giapponese, coreano e spagnolo.
     * Nel pacchetto dvdrtools è incluso il supporto per le unità DVD-R,
       DVD+RW e DVD-RW.
     * Ora è possibile formattare i documenti XML DocBook usando il
       linguaggio di stylesheet XSL. Per maggiori informazioni, leggere
       la pagina man di xmlto(1).
     * Le definizioni del tipo documento (DTD) DocBook sono state unite
       in un pacchetto RPM definito docbook-dtds.
     * Il pacchetto gPhoto2 è stato aggiunto alla distribuzione. gPhoto2
       è un'applicazione software e una libreria di interfaccia per
       fotocamere digitali. Il pacchetto gPhoto2 include inoltre gtKam,
       un'interfaccia grafica per fotocamere digitali che utilizza
       gPhoto2. Anche Kamera, il plugin di Konqueror per le fotocamere
       digitali, è stata aggiunto. Si sconsiglia di usare la versione
       precedente dell'applicazione gphoto (0.4.3), che potrà essere
       rimossa in una versione futura.
     * Gli initscript ora disabilitano DMA sui CD-ROM IDE per default.
       Per abilitarlo, creare un file /etc/sysconfig/harddisk<device>
       contenente USE_DMA=1, dove <device> è il dispositivo del disco o o
       del CD-ROM (per esempio hdc).
     * /sbin/service ora cambia la directory di root prima di avviare o
       interrompere i servizi. E' stato modificato anche il modo in cui
       /sbin/service gestisce le variabili d'ambiente. Per esempio, se
       uno script init si basa su speciali variabili d'ambiente (PATH,
       ecc.), lo script deve essere esplicitamente impostato su queste
       variabili invece di aspettare di ereditarle.
     * Il pacchetto bcm5820 è stato sostituito con il pacchetto hwcrypto.
       Il pacchetto hwcrypto include il supporto per l'acceleratore
       crittografico AEP 1000.
     * Il programma xscanimage è sconsigliato e potrà essere rimosso in
       una release futura di Red Hat Linux. Si consiglia invece l'uso del
       programma xsane.
     * Il pacchetto rp3 è stato rimosso; per configurare l'accesso
       dial-up, utilizzare il pacchetto redhat-config-network.
     * Il pacchetto ircii è stato sostituito con il pacchetto epic. epic
       è principalmente compatibile con gli script ircii e include più
       funzionalità di ircii.
     * Il pacchetto mkkickstart è stato rimosso. Si consiglia di
       utilizzare il programma ksconfig al suo posto. E' possibile anche
       modificare il /root/anaconda-ks.cfg generato dal programma di
       installazione.
     * Il pacchetto di utility patchutils per la gestione dei file patch
       è ora incluso. I file patch sono spesso usati nello sviluppo di
       software.
     * Sono anche inclusi i pacchetti autoconf253 e automake15, che
       consentono l'aggiornamento di autoconf alla versione 2.53 e di
       automake alla versione 1.5 per coloro che necessitano di ambienti
       di sviluppo aggiornati.
     * Il pacchetto glibc-kernheaders è stato aggiunto e sostituirà il
       pacchetto kernel-headers.
     * Il pacchetto postgresql è stato aggiornato. Per conservare i dati,
       eseguirne un dump utilizzando il comando pg_dumpall prima di
       effettuare l'aggiornamento, quindi ripristinare i dati dopo
       l'aggiornamento. Per maggiori informazioni consultare la pagina
       man pg_dumpall(1).
     * L'applet del pannello di Red Hat Network è incluso nei pannelli
       del desktop di GNOME di default. Questo applet consente di
       ricevere informazioni su Red Hat Network ed eseguire il download
       degli aggiornamenti per il sistema Red Hat Linux. Si noti che
       l'applet del pannello di Red Hat Network non compare nel pannello
       del desktop di GNOME se l'aggiornamento è stato eseguito da una
       versione precedente di Red Hat Linux. Per aggiungerlo al pannello,
       scegliere:
       Menu principale => Applet => Monitor => Red Hat Network Alert
       Notification Tool
     _________________________________________________________________

Riorganizzazione dei pacchetti

I seguenti pacchetti e applicazioni non menzionati in precedenza sono stati
rimossi da Red Hat Linux 7.3:

     * enlightenment
     * ext2ed
     * fnlib
     * gnome-pim
     * isapnptools
     * kaffe
     * libodbc++
     * linuxconf
     * lout
     * mawk
     * p2c
     * ttfm
     * xmorph
     * xmailbox
     * xrn
     * xsysinfo

   L'uso  di  tali  pacchetti e applicazioni è sconsigliato. E' possibile
   che questi vengano rimossi in una versione futura di Red Hat Linux:

     * Netscape Communicator 4.7
     * XFree86 3.3.x
     * junkbuster

References

   1. file://localhost/tmp/html-2rrWzJ#ANACONDA-INSTALLER-NOTES
   2. file://localhost/tmp/html-2rrWzJ#KERNEL-NOTES
   3. file://localhost/tmp/html-2rrWzJ#GENERAL-NOTES
   4. file://localhost/tmp/html-2rrWzJ#DEPRECATED
